Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:2.6.0 Regression?: No

Operating System: Mac OS X 10.9.5 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20113
Description

I'm running QGIS 2.6.0-Brighton under Mac OS X 10.9.5 on a
Mac Mini (late 2009) 2.26 GHz Intel Core 2 Duo with 4 GB RAM.

Settings > Configure Shortcuts... will not let me set a shortcut
which includes a Cmd key.

When | click on the "Change" button, which changes to "Input", the
button title displays
Ctrl- when the Cmd key is held
Alt- when the Option key is held
Meta- when the Citrl key is held.
followed by whatever key I'm also holding down.
Attempt to set, for example, Cmd-L result in just L being set.

The standard Keyboard Viewer shows the correct keys - Cmd, Opt(Alt) & Ctrl
so OS X is "seeing" the right keys.

Work-around: | just used Opt.
But would be nice to be able to assign Cmd- shortcuts...

Truly wonderful software by the way!

Garth Fletcher

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-08-10 08:38 AM - Andreas Oxenstierna

With macOS 10.13.6 and QGIS 3.2.1, all 3 (Ctrl,Alt,Cmd) keys works for me. l.e. | can assign Cmd-shortcuts.

#3 - 2018-08-10 03:28 PM - Garth Fletcher
- Status changed from Open to Closed
Apparently fixed in QGIS 3.2.1.
Many thanks!
Wonderful program!

#4 - 2018-08-12 01:37 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Description updated
